Name:           gnome-mahjongg
Version:        3.8.0
Release:        3%{?dist}
Summary:        GNOME Mahjongg game

License:        GPLv2+ and CC-BY-SA
URL:            http://projects.gnome.org/gnome-games/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gnome-mahjongg/3.8/gnome-mahjongg-%{version}.tar.xz

BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: librsvg2-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: desktop-file-utils

Obsoletes: gnome-games-mahjongg < 1:3.7.4
Obsoletes: gnome-games-extra < 1:3.7.4
Obsoletes: gnome-games-extra-data < 3.2.0-6

%description
Mahjongg is a simple pattern recognition game. You score points by
matching identical tiles.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/mahjongg.desktop


%post
for d in hicolor HighContrast ; do
  touch --no-create %{_datadir}/icons/$d &>/dev/null || :
done


%postun
if [ $1 -eq 0 ]; then
  for d in hicolor HighContrast ; do
    touch --no-create %{_datadir}/icons/$d &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/$d &> /dev/null || :
  done
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
for d in hicolor HighContrast ; do
  gtk-update-icon-cache %{_datadir}/icons/$d &>/dev/null || :
done
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc COPYING
%{_datadir}/applications/mahjongg.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-mahjongg.gschema.xml
%{_mandir}/man6/gnome-mahjongg.6*
%{_bindir}/gnome-mahjongg
%{_datadir}/gnome-mahjongg
%{_datadir}/icons/hicolor/*/apps/gnome-mahjongg.*
%{_datadir}/icons/HighContrast/*/apps/gnome-mahjongg.*


%changelog
* Sat Jun 22 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.0-3
- Obsolete gnome-games-extra (for upgrades from f17)

* Mon May 13 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.0-2
- Obsolete gnome-games-extra-data

* Wed Mar 27 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.0-1
- Update to 3.8.0
- Add HighContrast icon cache scriptlets

* Wed Mar 27 2013 Kalev Lember <kalevlember@gmail.com> - 3.7.5-2
- Update the documentation license as per the new package review (#910391)

* Sat Feb  9 2013 Matthias Clasen <mclasen@redhat.com> - 3.7.5-1
- Update to 3.7.5

* Mon Jan 28 2013 Matthias Clasen <mclasen@redhat.com> - 3.7.4-2
- Initial packaging of standalone gnome-mahjongg
